// (c) MIT 2003.  All rights reserved.

// $Id: StrengthenTransition.java,v 1.4 2003/03/06 00:40:39 moltmans Exp $
// Time-stamp: <2000-03-11 18:59:36 moltmans>
package rec.sys;


public class StrengthenTransition extends DoTransition {

  Widget m_Widget;
  double m_Strength;
  
  public StrengthenTransition( Surface surf, Widget wid, double str )
  {
    super( surf );

    m_Widget = wid;
    m_Strength = str;
  }
  
  public void doDo()
  {
    //m_Widget.strengthen( m_Strength );
  }

  public void doUndo()
  {
    //m_Widget.weaken( m_Strength );
  }

  public String getAction()
  {
    return "strengthen widget " + m_Widget + " by " + m_Strength;
  }
  
}
